//---------------------------------------------------------------------------
//
//  Module: vddvmmem.h
//
//  Purpose:
//     Header file for VDDVMMEM.C.
//
//     Based on original Windows 3.1 VDD sources as supplied by
//     the Microsoft Windows 3.1 Device Driver Development Kit.
//
//  Development Team:
//     Bryan A. Woodruff
//
//  History:   Date       Author      Comment
//              4/25/93   BryanW      Rewritten in 'C'.
//
//---------------------------------------------------------------------------
//
//               Copyright (c) 1993 Woodruff Software Systems.
//                          All Rights Reserved.
//
//---------------------------------------------------------------------------

// Flag bits in each word of pagemap array

#define fPageSaved      0x0001         // flag set if page has been saved
                                       //    VM's virtual video memory
#define fPageSaveMem    0x0002         // a save memory page is mapped
#define fPageFontMem    0x0004         // a font save memory page is mapped
#define fPageModified   0x0008         // flag set, if page has been modified
                                       //    and should be repainted, if VM
                                       //    windowed

#define fPageGblFlags   (fPageSaved)   // flags to maintain over alloc's

#define PGS_NOTMAPPED   0x0001
#define PGS_DIRTY       0x0002

//---------------------------------------------------------------------------
//  End of File: vddvmmem.h
//---------------------------------------------------------------------------

