
#include	"ipc_call.h"
#include	"ctype.h"
#include	"string.h"

BYTE sBuf[256];


int main (int iArgc,BYTE **ppArgv)
{
int nCmd;
BYTE *pBuf;

	ppArgv++;
	if ((iArgc < 2) || (! strcmp (*ppArgv, "/?")))
		{
		printf ("Will launch a program in a new DOS box and return\n\n\n");
		printf ("Usage: Launch CmdShow CmdLine\n\n");
		printf ("  CmdShow: 0 - 9   How the Window will originally show\n");
		printf ("                   Uses the Windows SW_ parameters\n");
		printf ("  CmdLine: the command line you would normally type from DOS\n");
		return (1);
		}

	nCmd = atoi (*ppArgv);
	if ((nCmd < 0) || (nCmd > 9) || (! isdigit (**ppArgv)))
		{
		printf ("ERROR: The CmdShow value MUST be 0 - 9\n");
		return (2);
		}
	ppArgv++;
	iArgc -= 2;

	if (iArgc <= 0)
		{
		printf ("ERROR: No command line\n");
		return (3);
		}


	if (! IpcRegister ("Launch"))
		{
		printf ("ERROR: Couldn't find Win-Link\n");
		return (4);
		}

	pBuf = sBuf;
	*pBuf = 0;
	while (iArgc--)
		{
		strcat (pBuf, *ppArgv);
		ppArgv++;
		strcat (pBuf, " ");
		pBuf += strlen (pBuf);
		}

	printf ("Launching (%d): %s..  ", nCmd, sBuf);

	if (! IpcLaunch (sBuf, nCmd))
		{
		printf ("ERROR: Launch failed\n");
		return (5);
		}

	printf ("Launch successful\n");
	IpcUnregister ();
	return (0);
}
