
#include	"ipc_call.h"


char Dave[]="Dave Thielen";

main ()
{
long lVm, lRtn, lClient, lNum1, lNum2, lCount;
int iRtn;
unsigned uChar, uMsg, hWnd;
BYTE sBuf[80];
IPCMSG Msg;

	printf ("Calling RegisterVm\n");

	lVm = IpcRegister ("Server");

	printf ("IpcRegister (Server) = %#lX\n", lVm);
	if (! lVm)
		return (0);

	printf ("Continue until press Z\n");
	do
		{
		if (! IpcMsgPeek (&Msg))
			{
			IpcMsgRead (&Msg);
			if (Msg.wParam == 0xFFFF)
				{
				printf ("Received message to exit\n");
				break;
				}

			lClient = Msg.lParam;
			hWnd = Msg.hWnd;
			uMsg = Msg.uMsg;
			printf ("Message from 0x%lX, Wnd: 0x%X, Msg: 0x%X\n", lClient, hWnd, uMsg);
			IpcMsgRead (&Msg);
			lNum1 = Msg.lParam;
			printf ("  Multiply %ld\n", lNum1);
			IpcMsgRead (&Msg);
			lNum2 = Msg.lParam;
			printf ("  by %ld\n", lNum2);

			for (lRtn=0L, lCount=0L; lCount<lNum2; lCount++)
				printf ("%ld..  ", lRtn += lNum1);

			printf ("\nIpcMsgPost (0x%X, 0x%X, 0, 0x%lX\n", hWnd, uMsg, lRtn);
			iRtn = IpcMsgPost (lClient, hWnd, uMsg, 0, lRtn);
			printf ("IpcMsgPost () = %d\n", iRtn);

			IpcPrintOpen ("Server [WinLink]");
			sprintf (sBuf, "\r\nServer:\r\n  %ld * %ld = %ld\r\n\r\n\r\n\r\n", lNum1, lNum2, lRtn);
			IpcPrintWrite (sBuf, strlen (sBuf));
			IpcPrintClose ();
			}

		if (! _bios_keybrd (1))
			uChar = 0;
		else 
			{
			printf ("read a key\n");
			uChar = getch ();
			}

		_asm
			{
			mov		ax, 1680h
			int		2Fh
			}
		}
	while (uChar != 'Z');

	printf ("Removing ourselves\n");
	IpcUnregister ();
	printf ("Removed\n");
}

