

#include "windows.h"
#include "ipc_call.h"

BOOL FAR PASCAL _export MainDlgProc (HWND hDlg,unsigned uMsg,WORD wParam,LONG lParam);

int nMainCmdShow=SW_SHOWNORMAL;
long lServer;

int PASCAL WinMain(hInstance, hPrevInstance, lpCmdLine, nCmdShow)
HANDLE hInstance;
HANDLE hPrevInstance;
LPSTR lpCmdLine;
int nCmdShow;
{
FARPROC lpProcMain;
HWND hDlg;
MSG msg;

	nMainCmdShow = nCmdShow;
	if (! (lpProcMain = MakeProcInstance (MainDlgProc, hInstance)))
		return (1);
	if (! (hDlg = CreateDialog (hInstance, "ClientDlg", 0, lpProcMain)))
		return (2);

	while (GetMessage (&msg, NULL, NULL, NULL))
		if (! IsDialogMessage (hDlg, &msg))
			{
			TranslateMessage(&msg);
			DispatchMessage(&msg);
			}

	return (0);
}

BOOL FAR PASCAL _export MainDlgProc (HWND hDlg,unsigned uMsg,WORD wParam,LONG lParam)
{
BYTE sBuf[40];
unsigned uSel;
long lNum1, lNum2;
//HWND hActive, hFocus;

    switch (uMsg)
			{
			case WM_INITDIALOG :
				ShowWindow (hDlg, nMainCmdShow);
				if (IpcInit ())
					{
					MessageBox (hDlg, "No Win-IPC - can't run", "Win-Client", MB_OK);
					PostQuitMessage (0);
					}
				EnableWindow (GetDlgItem (hDlg, 1), 0);

				if (WinExec ("server", SW_SHOWMINNOACTIVE) <= 32)
					{
					MessageBox (hDlg, "No Server - can't run", "Win-Client", MB_OK);
					PostQuitMessage (0);
					break;
					}

				SetTimer (hDlg, 0x6788, 100, NULL);
				break;

			case WM_CLOSE :
				DestroyWindow (hDlg);
				break;

			case WM_DESTROY :
				if (lServer)
					IpcMsgPost (lServer, 0, 0, 0xFFFF, 0L);
				PostQuitMessage (0);
				break;

			case WM_TIMER :
				if (! lServer)
					if (lServer = IpcQueryVm ("Server"))
						{
						KillTimer (hDlg, 0x6788);
						EnableWindow (GetDlgItem (hDlg, 1), 1);
						}
				break;

			case 0x6789 :
				EnableWindow (GetDlgItem (hDlg, 1), 1);
				_ltoa (lParam, sBuf, 10);
				SetDlgItemText (hDlg, 102, sBuf);
				return (TRUE);

			case WM_COMMAND :
				switch ( wParam )
					{

					case 1 :
						GetDlgItemText (hDlg, 100, sBuf, 38);
						lNum1 = Atol (sBuf);
						GetDlgItemText (hDlg, 101, sBuf, 38);
						lNum2 = Atol (sBuf);
						EnableWindow (GetDlgItem (hDlg, 1), 0);
						IpcMsgPost (lServer, hDlg, 0x6789, 0, 0L);
						IpcMsgPost (lServer, 0, 0, 0, lNum1);
						IpcMsgPost (lServer, 0, 0, 0, lNum2);
						return (TRUE);
						break;

					case 2 :
						DestroyWindow (hDlg);
						return (TRUE);
					}
				return (FALSE);

			default :
				return (FALSE);
			}

	return (TRUE);
}




